public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jason Zaman" <perfinion@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-visualization/tensorboard/
Date: Fri, 25 Nov 2022 18:27:55 +0000 (UTC)	[thread overview]
Message-ID: <1669400521.103c963ca6967f41134f66269f53d94169e9fd3c.perfinion@gentoo> (raw)

commit:     103c963ca6967f41134f66269f53d94169e9fd3c
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 22 21:58:25 2022 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Fri Nov 25 18:22:01 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=103c963c

sci-visualization/tensorboard: add 2.11.0

Signed-off-by: Jason Zaman <perfinion <AT> gentoo.org>

 sci-visualization/tensorboard/Manifest             |  1 +
 .../tensorboard/tensorboard-2.11.0.ebuild          | 68 ++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/sci-visualization/tensorboard/Manifest b/sci-visualization/tensorboard/Manifest
index 472537c49964..5562b5598f8d 100644
--- a/sci-visualization/tensorboard/Manifest
+++ b/sci-visualization/tensorboard/Manifest
@@ -1 +1,2 @@
 DIST tensorboard-2.10.0.zip 5873469 BLAKE2B b03a804682275abd83482e6dc8e62bef4301d796ef5bd2b02bed8d15ab16ff4bd19f1b9e3488e12ea6c03e1b7a85fd69a6a226f0a5378da2067c661b7f1f2f7e SHA512 04da20089d7e24e2c519da24bb8ad32f622386799e28403e036d40c29bc99011cc374480176776b0801df0e37eb2b0e93a987d2a97cd7406eabb75bfd649a311
+DIST tensorboard-2.11.0.zip 5990351 BLAKE2B d6796fceb047abc69c84c8f30ce6b5e0739a376e110fb7e2bb78ee5b6c7dd8d1344546950d46dbdc3a47780f4ad685be186087286225dbeb9ebce558f0837d8c SHA512 f1b908e13a56a86f6618ae8bf596339243642d0f00793d326ac884fd8e736bb316331728b474022936570fb6202b323d8ba2bf4908619aa1f79411b904edf209

diff --git a/sci-visualization/tensorboard/tensorboard-2.11.0.ebuild b/sci-visualization/tensorboard/tensorboard-2.11.0.ebuild
new file mode 100644
index 000000000000..f9f4786e1e1e
--- /dev/null
+++ b/sci-visualization/tensorboard/tensorboard-2.11.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9,10} )
+inherit python-r1
+
+DESCRIPTION="TensorFlow's Visualization Toolkit"
+HOMEPAGE="https://www.tensorflow.org/"
+SRC_URI="https://files.pythonhosted.org/packages/py3/${PN::1}/${PN}/${P}-py3-none-any.whl -> ${P}.zip"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+RDEPEND="
+	${PYTHON_DEPS}
+	dev-python/bleach[${PYTHON_USEDEP}]
+	>=dev-python/google-auth-1.6.3[${PYTHON_USEDEP}]
+	>=dev-python/google-auth-oauthlib-0.4.1[${PYTHON_USEDEP}]
+	dev-python/grpcio[${PYTHON_USEDEP}]
+	dev-python/html5lib[${PYTHON_USEDEP}]
+	dev-python/markdown[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/protobuf-python[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+	>=dev-python/setuptools-41[${PYTHON_USEDEP}]
+	dev-python/werkzeug[${PYTHON_USEDEP}]
+	dev-python/wheel[${PYTHON_USEDEP}]
+	>=dev-python/scipy-1.4.1[${PYTHON_USEDEP}]"
+BDEPEND="app-arch/unzip
+	${PYTHON_DEPS}"
+PDEPEND="sci-libs/tensorflow[python,${PYTHON_USEDEP}]"
+
+S="${WORKDIR}"
+
+src_prepare() {
+	eapply_user
+
+	sed -i -e '/_vendor.__init__/d' -e '/_vendor.bleach/d' -e '/_vendor.html5lib/d' -e '/_vendor.webencodings/d' \
+		"${S}/${P}.dist-info/RECORD" || die "failed to unvendor"
+	grep -q "_vendor" "${S}/${P}.dist-info/RECORD" && die "More vendored deps found"
+
+	find "${S}/${PN}" -name '*.py' -exec sed -i \
+		-e 's/^from tensorboard\._vendor import /import /' \
+		-e 's/^from tensorboard\._vendor\./from /' \
+		{} + || die "failed to unvendor"
+
+	rm -rf "${S}/${PN}/_vendor" || die
+
+	sed -i -e '/tensorboard-plugin-/d' "${S}/${P}.dist-info/METADATA" || die "failed to remove plugin deps"
+	sed -i -e '/tensorboard-data-server/d' "${S}/${P}.dist-info/METADATA" || die "failed to remove data-server deps"
+	sed -i -e 's/google-auth-oauthlib.*$/google-auth-oauthlib/' "${S}/${P}.dist-info/METADATA" \
+		|| die "failed to relax oauth deps"
+	sed -i -e 's/protobuf.*$/protobuf/' "${S}/${P}.dist-info/METADATA" \
+		|| die "failed to relax protobuf deps"
+}
+
+src_install() {
+	do_install() {
+		python_domodule "${PN}"
+		python_domodule "${P}.dist-info"
+	}
+	python_foreach_impl do_install
+}


             reply	other threads:[~2022-11-25 18:27 UTC|newest]

Thread overview: 45+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-11-25 18:27 Jason Zaman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-14 16:53 [gentoo-commits] repo/gentoo:master commit in: sci-visualization/tensorboard/ Jason Zaman
2024-02-03 19:35 Jason Zaman
2024-02-03 19:35 Jason Zaman
2024-02-03 19:35 Jason Zaman
2023-06-05 16:37 Jason Zaman
2023-03-27 19:21 Michał Górny
2023-01-10 14:15 Michał Górny
2022-11-19 18:23 Jason Zaman
2022-09-23  3:06 Jason Zaman
2022-06-26  2:45 Jason Zaman
2022-06-26  2:45 Jason Zaman
2022-02-07  1:58 Jason Zaman
2021-11-15 17:52 Jason Zaman
2021-11-15 17:52 Jason Zaman
2021-08-01 13:19 Jason Zaman
2021-06-20 21:56 Jason Zaman
2021-01-20 10:16 David Seifert
2020-12-06 20:40 Jason Zaman
2020-11-28 22:42 Jason Zaman
2020-10-09  3:41 Jason Zaman
2020-09-25 12:08 Benda XU
2020-08-30  0:32 Jason Zaman
2020-05-16  1:00 Jason Zaman
2020-03-16 18:55 Michał Górny
2019-12-29  9:56 David Seifert
2019-12-26  2:42 Jason Zaman
2019-12-23 19:48 Jason Zaman
2019-12-09  3:03 Jason Zaman
2019-12-02 14:50 Jason Zaman
2019-12-02 14:50 Jason Zaman
2019-10-01 14:52 Jason Zaman
2019-09-13 14:22 Jason Zaman
2019-08-13  7:40 Michał Górny
2019-08-07  7:58 Jason Zaman
2019-06-19  8:41 Jason Zaman
2019-06-19  4:09 Jason Zaman
2019-05-13  5:58 Jason Zaman
2019-04-29 14:24 Jason Zaman
2019-04-05 15:41 Jason Zaman
2019-02-18 13:54 Jason Zaman
2018-12-24 10:32 Jason Zaman
2018-09-30 11:20 Jason Zaman
2018-09-28 10:24 Jason Zaman
2018-08-09 16:11 Jason Zaman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1669400521.103c963ca6967f41134f66269f53d94169e9fd3c.perfinion@gentoo \
    --to=perfinion@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox